<?php

/*
 * Form HTML Exporter - HELPER
 *
 */
 
function form_paragraph( $content = "" )
{
	return format_to_post($content);
}


function form_text( $label, $value, $size, $required, $name )
{
	$req = ( $required == 'required:true' ) ? "<span class='required'>*</span>" : "";

	$html = <<<EOQ

<label for="$name">$label $req</label>
<input type="text" id="$name" class="$size" name="$name" value="$value" validate="$required" />

EOQ;
	return $html;
}


function form_email( $label, $value, $size, $required, $name )
{
	$req = ( $required == 'required:true' ) ? "<span class='required'>*</span>" : "";

	$html = <<<EOQ

<label for="$name">$label $req</label>
<input type="text" id="$name" class="$size" name="$name" value="$value" validate="email:true, $required" />

EOQ;
	return $html;
}


function form_number( $label, $value, $size, $required, $name )
{
	$req = ( $required == 'required:true' ) ? "<span class='required'>*</span>" : "";

	$html = <<<EOQ

<label for="$name">$label $req</label>
<input type="text" id="$name" class="$size" name="$name" value="$value" validate="number:true, $required" />

EOQ;
	return $html;
}


function form_name( $label, $values, $size, $required, $name )
{
	$size = 'large';

	$req = ( $required == 'required:true' ) ? "<span class='required'>*</span>" : "";
	
	$first_name = __('First');
	$last_name = __('Last');

	$html = <<<EOQ

<label for="{$name}_fn">$label $req</label>

<div class="group">

<table cellspacing="0" border="0">
	<tr>
		<td><label for="{$name}_fn" class="{$size}">$first_name</label></td>
		<td><label for="{$name}_ln" class="{$size}">$last_name</label></td>
	</tr>
	<tr>
		<td><input type="text" id="{$name}_fn" class="$size" name="{$name}[]" value="{$values[0]}" minlength="2" validate="minlength:2, $required" /></td>
		<td><input type="text" id="{$name}_ln" class="$size" name="{$name}[]" value="{$values[1]}" minlength="2" validate="minlength:2, $required" /></td>
	</tr>
</table>

</div>

EOQ;
	return $html;
}


function form_phone( $label, $value, $size, $required, $name )
{
	$req = ( $required == 'required:true' ) ? "<span class='required'>*</span>" : "";

	$html = <<<EOQ

<label for="$name">$label $req</label>
<input type="text" id="$name" class="$size" name="$name" value="$value" validate="$required" />

EOQ;
	return $html;
}


 
function form_date( $label, $values, $required, $name )
{
	$req = ( $required == 'required:true' ) ? "<span class='required'>*</span>" : "";
	
	$day = __('Day');
	$month = __('Month');
	$year = __('Year');

	$html = <<<EOQ

<label for="{$name}_day">$label $req</label>

<div class="group">

<input type='hidden' class='picker' value='' />

<table cellspacing="0" border="0">
	<tr>
		<td><label for="{$name}_day">$day</label></td>
		<td><label for="{$name}_month">$month</label></td>
		<td><label for="{$name}_year">$year</label></td>
		<td></td>
	</tr>
	<tr>
		<td><input type="text" id="{$name}_day" class='' size='3' maxlenght='2' name="{$name}[]" value="{$values[0]}" validate="$required" /></td>
		<td><input type="text" id="{$name}_month" class='' size='3' maxlenght='2' name="{$name}[]" value="{$values[1]}" validate="$required" /></td>
		<td><input type="text" id="{$name}_year" class='' size='5' maxlenght='4' name="{$name}[]" value="{$values[2]}" validate="$required" /></td>
		<td style="width:50%"></td>
	</tr>
</table>


</div>

EOQ;
	return $html;
}

function form_time( $label, $values, $required, $name )
{
	$req = ( $required == 'required:true' ) ? "<span class='required'>*</span>" : "";
	
	$hours = __('Hours');
	$minutes = __('Minutes');

	$html = <<<EOQ

<label for="{$name}_hours">$label $req</label>

<div class="group">

<table cellspacing="0" border="0">
	<tr>
		<td><label for="{$name}_month" style="width:40px;">$hours</label></td>
		<td><label for="{$name}_year" style="width:40px;">$minutes</label></td>
		<td></td>
	</tr>
	<tr>
		<td><input type="text" id="{$name}_hours" class='' size='3' maxlenght='2' name="{$name}[]" value="{$values[0]}" validate="$required" /></td>
		<td><input type="text" id="{$name}_minutes" class='' size='3' maxlenght='2' name="{$name}[]" value="{$values[1]}" validate="$required" /></td>
		<td style="width:70%"></td>
	</tr>
</table>

</div>

EOQ;
	return $html;
}


function form_textarea( $label, $value, $size, $required, $name )
{
	$req = ( $required == 'required:true' ) ? "<span class='required'>*</span>" : "";

	$html = <<<EOQ

<label for="$name">$label $req</label>
<textarea id="$name" class="$size" name="$name" validate="$required" />$value</textarea>

EOQ;
	return $html;
}



function form_dropdown( $label, $values, $size, $required, $name )
{
	$req = ( $required == 'required:true' ) ? "<span class='required'>*</span>" : "";

	$html = <<<EOQ

<label for="$name">$label $req</label>
<select class="$size" name="$name" validate="$required">
EOQ;
foreach( $values as $value ){
	$html .= <<<EOQ
	<option value="$value">$value</option>
EOQ;
}
	$html .= <<<EOQ
</select>

EOQ;
	return $html;
}


function form_radio( $label, $values, $required, $name )
{
	$req = ( $required == 'required:true' ) ? "<font class='required'>*</font>" : "";

	$html = <<<EOQ

<fieldset class="group">

<legend>$label $req</legend>

<table cellspacing="0" border="0">
EOQ;
$i=0;
foreach( $values as $value ){
	$i++;
	$html .= <<<EOQ
<tr><td><input type="radio" id="{$name}_$i" class='' name="{$name}[]" value="
EOQ;
	$html .= strip_tags($value);
	$html .= <<<EOQ
" validate="$required" /> <label for="{$name}_$i">$value</label></td></tr>
EOQ;
}
	$html .= <<<EOQ
</table>
</fieldset>
EOQ;
	return $html;
}



function form_checkbox( $label, $values, $required, $name )
{
	$req = ( $required == 'required:true' ) ? "<font class='required'>*</font>" : "";

	$html = <<<EOQ

<fieldset class="group">

<legend>$label $req</legend>

<table cellspacing="0" border="0">
EOQ;
$i=0;
foreach( $values as $value ){
	$i++;
	$html .= <<<EOQ
<tr><td><input type="checkbox" id="{$name}_$i" class='' name="{$name}[]" value="
EOQ;
	$html .= strip_tags($value);
	$html .= <<<EOQ
" validate="$required" /> <label for="{$name}_$i">$value</label></td></tr>
EOQ;
}
	$html .= <<<EOQ
</table>
</fieldset>
EOQ;
	return $html;
}


function form_fileupload( $label, $size, $required, $name )
{
	$req = ( $required == 'required:true' ) ? "<span class='required'>*</span>" : "";

	$html = <<<EOQ

<label for="$name">$label (Max: 
EOQ;
	$html .= MAX_UPLOAD_SIZE;
	$html .= <<<EOQ
 MB) $req</label>
<input type="file" id="$name" class="$size" name="$name" validate="$required" />
<input type="hidden" name="MAX_FILE_SIZE" value="
EOQ;
	$html .= MAX_UPLOAD_SIZE * 1024;
	$html .= <<<EOQ
" />
EOQ;
	return $html;
}


/* * This function converts all or tags it finds into hard returns.
From: http://sitetrick.com/node/2 */
function br2nl($str) {
$str = preg_replace("/(\r\n|\n|\r)/", "", $str); return preg_replace("==i", "\n", $str);
}



?>
